package com.ruoyi.project.plant.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 会议室管理对象 t_conf_room
 *
 * @author ssy
 * @date 2024-04-29
 */
public class TConfRoom extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 会议室名称 */
    @Excel(name = "会议室名称")
    private String roomName;

    /** 办公区域名称 */
    @Excel(name = "办公区域名称")
    private String areaName;

    /** 会议室容量 */
    @Excel(name = "会议室容量")
    private Long roomCapacity;

    /** 设备 */
    @Excel(name = "设备")
    private String deviceList;

    /** 会议室管理员 */
    @Excel(name = "会议室管理员")
    private String roomManageUser;

    /** 会议室管理员姓名 */
    @Excel(name = "会议室管理员姓名")
    private String roomManageName;

    /** 状态 */
    @Excel(name = "状态")
    private Long status;

    /** 删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 更新人 */
    @Excel(name = "更新人")
    private String updaterCode;

    /** 更新日期 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "更新日期", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 所属部门 */
    @Excel(name = "所属部门")
    private Long deptId;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 会议室照片 */
    @Excel(name = "会议室照片")
    private String roomPic;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setRoomName(String roomName)
    {
        this.roomName = roomName;
    }

    public String getRoomName()
    {
        return roomName;
    }
    public void setAreaName(String areaName)
    {
        this.areaName = areaName;
    }

    public String getAreaName()
    {
        return areaName;
    }
    public void setRoomCapacity(Long roomCapacity)
    {
        this.roomCapacity = roomCapacity;
    }

    public Long getRoomCapacity()
    {
        return roomCapacity;
    }
    public void setDeviceList(String deviceList)
    {
        this.deviceList = deviceList;
    }

    public String getDeviceList()
    {
        return deviceList;
    }
    public void setRoomManageUser(String roomManageUser)
    {
        this.roomManageUser = roomManageUser;
    }

    public String getRoomManageUser()
    {
        return roomManageUser;
    }
    public void setRoomManageName(String roomManageName)
    {
        this.roomManageName = roomManageName;
    }

    public String getRoomManageName()
    {
        return roomManageName;
    }
    public void setStatus(Long status)
    {
        this.status = status;
    }

    public Long getStatus()
    {
        return status;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setRoomPic(String roomPic)
    {
        this.roomPic = roomPic;
    }

    public String getRoomPic()
    {
        return roomPic;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("roomName", getRoomName())
            .append("areaName", getAreaName())
            .append("roomCapacity", getRoomCapacity())
            .append("deviceList", getDeviceList())
            .append("roomManageUser", getRoomManageUser())
            .append("roomManageName", getRoomManageName())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("roomPic", getRoomPic())
            .toString();
    }
}
